below is some code that we have been using to delete layer filters in our drawings. It works great with acad2004 but has no effect in acad2005. i assume it has to do with the new layering stuff in 2005. The code is not mine it was a download. any help would be great. i think it may be a problem with the acad_layer filters statement but not sure.
(defun C:LayerFiltersDelete ()
(vl-Load-Com)
(vl-Catch-All-Apply
'(lambda ()
(vla-Remove
(vla-GetExtensionDictionary
(vla-Get-Layers
(vla-Get-ActiveDocument
(vlax-Get-Acad-Object)
)
)
)
"ACAD_LAYERFILTERS"
)
)
)
(princ "\nAll layer filters
have been deleted.")
(princ)
)
(defun C:LFD () (C:LayerFiltersDelete))
(defun C:LayerFiltersDelete ()
(vl-Load-Com)
(vl-Catch-All-Apply
'(lambda ()
(vla-Remove
(vla-GetExtensionDictionary
(vla-Get-Layers
(vla-Get-ActiveDocument
(vlax-Get-Acad-Object)
)
)
)
"ACAD_LAYERFILTERS"
)
)
)
(princ "\nAll layer filters
have been deleted.")
(princ)
)
(defun C:LFD () (C:LayerFiltersDelete))